Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf.extractor
Class PublisherTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hpbf.extractor.PublisherTextExtractor

    public final class PublisherTextExtractor

extends POIOLE2TextExtractor

Extract text from HPBF Publisher files

Field Summary

Fields inherited from class org.apache.poi.POITextExtractor
`document`

Constructor Summary
`PublisherTextExtractor(DirectoryNode dir, POIFSFileSystem fs)`
`PublisherTextExtractor(HPBFDocument doc)`
`PublisherTextExtractor(java.io.InputStream is)`
`PublisherTextExtractor(POIFSFileSystem fs)`

Method Summary
`java.lang.String` | `getText()` Retrieves all the text from the document.
`static void` | `main(java.lang.String[] args)`
`void` | `setHyperlinksByDefault(boolean hyperlinksByDefault)` Should a call to getText() return hyperlinks inline with the text? Default is no

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getSummaryInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublisherTextExtractor

    public PublisherTextExtractor(HPBFDocument doc)

### PublisherTextExtractor

    public PublisherTextExtractor(DirectoryNode dir,
                                  POIFSFileSystem fs)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(POIFSFileSystem fs)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(java.io.InputStream is)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setHyperlinksByDefault

    public void setHyperlinksByDefault(boolean hyperlinksByDefault)

  Should a call to getText() return hyperlinks inline with the text? Default is no

### getText

    public java.lang.String getText()

  Description copied from class: `POITextExtractor`
  Retrieves all the text from the document. How cells, paragraphs etc are separated in the text is implementation specific - see the javadocs for a specific project for details.

  Specified by:
    `getText` in class `POITextExtractor`
  Returns:
    All the text from the document

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.